"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SUFFIXES = ['', '.js', '.ts', '.vue', '/index.js', '/index.ts'];
function resolvePathFrom(path, from) {
    var finalPath = '';
    SUFFIXES.forEach(function (s) {
        if (!finalPath.length) {
            try {
                finalPath = require.resolve("" + path + s, {
                    paths: from,
                });
            }
            catch (e) {
                // eat the error
            }
        }
    });
    if (!finalPath.length) {
        throw new Error("Neither '" + path + ".vue' nor '" + path + ".js', not even '" + path + "/index.js' or '" + path + "/index.ts' could be found in '" + from + "'");
    }
    return finalPath;
}
exports.default = resolvePathFrom;
//# sourceMappingURL=resolvePathFrom.js.map